Subject: bug#42618: epiphany does not display Chinese

From: Leo Prikler <[email-masked]>
Date: Sun, 02 Aug 2020 12:05:55 +0200

I'm not sure whether the warnings generated are related to the
behaviour you're experiencing.  There is a way of forcing Epiphany to
use another locale for a website, so perhaps you can try that.

In relation to displaying text correctly, I already reported 41174 and
have not noticed it being fixed since.

Regards,
Leo

Full quote for ML readers:
> Using guix 1.1.0
> 
> guix (GNU Guix) 2621c6a9ea726cd57c39317329575b7b9fdd7b96
> 
> error:
> @guix ~$ epiphany 
> 
> ** (epiphany:1968): CRITICAL **: 20:43:43.285: void 
> webkit_web_context_register_uri_scheme(WebKitWebContext*, const
> char*, 
> WebKitURISchemeRequestCallback, gpointer, GDestroyNotify): assertion 
> 'g_ascii_strcasecmp(scheme, "ftp") != 0' failed
> 
> (process:2): Gtk-WARNING **: 20:43:45.107: Locale not supported by C
> library.
>         Using the fallback 'C' locale.
> 
> (process:2): Gtk-WARNING **: 20:43:45.117: Locale not supported by C
> library.
>         Using the fallback 'C' locale.
> 
> (process:2): Gtk-WARNING **: 20:43:45.458: Locale not supported by C
> library.
>         Using the fallback 'C' locale.
> 
> (process:2): Gtk-WARNING **: 20:43:45.573: Locale not supported by C
> library.
>         Using the fallback 'C' locale.
> 
> (process:2): Gtk-WARNING **: 20:43:45.848: Locale not supported by C
> library.
>         Using the fallback 'C' locale.
> 
> (process:2): Gtk-WARNING **: 20:43:45.915: Locale not supported by C
> library.
>         Using the fallback 'C' locale.
> 
> (process:2): Gtk-WARNING **: 20:43:46.093: Locale not supported by C
> library.
>         Using the fallback 'C' locale.
> 
> =======
> using nyxt browser, the Chinese is displayed correctly.
> 
> How can I fix this?
> 
> best regards,
> wxie